@import url("https://fonts.googleapis.com/css?family=Poppins:400,600");
html {
  height: 100vh;
  background: linear-gradient(120deg, #642b73, #c6426e) no-repeat center center fixed;
  transition: 1s;
/*  overflow: hidden;*/
}

body {
  font-family: "Poppins", sans-serif;
  color: #333;
  font-size: 24px;
  line-height: 32px;
  font-weight: 400;

}
a{
  color:white;
}
br {
  line-height: 50px;
}
h1{
  margin:0;
  padding:24px;
  font-size:24px;
  color:white;
  position:absolute;
}
h2{
  margin:0;
  padding:24px;
  font-size:16px;
  color:white;
  position:absolute;
  bottom:0;
  right:0;
}

.app {
  padding: calc(50vh - 190px) calc(50% - 310px) 24px;
  display: block;
  min-width: 616px;
}

.forecast {
  border-radius: 24px;
  background: white;
  margin-left: 16px;
  width: 96px;
  height:370px;
  display: inline-block;
  top: 0;
  float: left;
  box-shadow: 0 24px 40px rgba(0, 0, 0, .4);
  transition: 0.24s;
  padding: 24px 32px 8px;
}

#container {
  float: left;
  background: #fff;
  width: 440px;
  border-radius: 24px;
  box-shadow: 0 24px 40px rgba(0, 0, 0, .4);
  transition: 0.24s;
}

.img-wrap {
  background: no-repeat center center fixed;
  min-height: 100vh;
  width:100%;
  position: absolute;
  opacity: 0.24;
  z-index: -99999;
}

header {
  height: 80px;
  border-radius: 24px 24px 0 0;
  text-align: center;
}

.search {
  padding: 24px;
}
.search input {
  font-size: 18px;
  line-height: 24px;
  padding: 12px 24px;
  background-color: #f2f2f2;
  color: #333;
  border: none;
  border-radius: 16px;
  outline: none;
  width: 83%;
  font-family: "Poppins", sans-serif;
  font-weight: 600;
}
.search input:focus {
  -webkit-filter: brightness(96%);
          filter: brightness(96%);
}
.search input::-webkit-input-placeholder {
  font-weight: 400;
  color: #999;
}
.search input:-ms-input-placeholder {
  font-weight: 400;
  color: #999;
}
.search input::-ms-input-placeholder {
  font-weight: 400;
  color: #999;
}
.search input::placeholder {
  font-weight: 400;
  color: #999;
}
.search .search-btn {
  width: 32px;
  height: 32px;
  float: right;
  margin-right: 12px;
  margin-top: -44px;
  position: relative;
  z-index: 9999;
}
.search #search-btn {
  color: #333;
  font-size: 16px;
}

#image {
  width: 160px;
  height: 160px;
  border-radius: 80px;
  margin: 0px auto 24px;
  box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  background: linear-gradient(120deg, #642b73, #c6426e) no-repeat center center fixed;
  transition: 1s;
  text-align: center;
}
#image .wi {
  color: white;
  font-size: 80px;
  padding: 40px 0;
  animation: 1s ease-out 0s 1 fadeIn;
  animation-fill-mode: forwards;
}
#image:active {
  box-shadow: none;
  -webkit-filter: brightness(92%);
          filter: brightness(92%);
  -webkit-transform: scale(0.95);
          transform: scale(0.95);
}

#main {
  padding: 16px 48px 8px;
}

.location {
  border-bottom: 2px solid #f2f2f2;
  padding: 8px 0;
}

#city-name {
  font-size: 32px;
  line-height: 40px;
  font-weight: 600;
  text-align: left;
  display: inline-block;
}

#country {
  display: inline-block;
  color: #999;
  font-size: 16px;
  padding: 0px 4px;
}

.temperature {
  padding: 8px 0;
}

.temp-range {
  display: inline-block;
  color: #999;
  font-size: 16px;
  padding: 0px 4px;
}

.detail {
  display: inline-block;
  color: #999;
  font-size: 16px;
  line-height: 40px;
  float: right;
  text-transform: capitalize;
}

.inline {
  display: inline-block;
}

#forecastIcon {
  margin-right: 8px;
}

#forecastDay {
  color: #999;
  font-size: 16px;
  line-height: 24px;
}
.forecast-group{
  height:72px;
}

.none {
  display: none;
}

/*.cold {
  background: linear-gradient(120deg, #6190e8, #a7bfe8) no-repeat center center fixed;
}

.hot {
  background: linear-gradient(120deg, #f12711, #f5af19) no-repeat center center fixed;
}

.mild {
  background: linear-gradient(120deg, #642b73, #c6426e) no-repeat center center fixed;
}*/


@media only screen and (max-width: 616px) {
    .app{
      min-width:inherit;
      padding:80px 0;
    }
    #container{
      float: inherit;
      width:100%;
    }
    .forecast{
      float: inherit;
      padding:0;
      margin-left:0;
      margin-top:16px;
      width:100%;
      height:108px;
      overflow-x: auto;
      white-space: nowrap;
    }
    .forecast-group{
      padding:24px 32px;
      display: inline-block;
    }
    #main {
      padding: 8px 16px;
    }
    h2{display: none;}
}

/*animation*/
@keyframes slideInFromTop {
  0% {
    transform: translateY(-8px);
    opacity:0;
  }
  100% {
    transform: translateY(0);
    opacity:1;
  }
}

@keyframes fadeIn {
  0% {
    opacity:0;
  }
  100% {
    opacity:1;
  }
}

.forecast-group, #image .wi{
  opacity:0;
}

.forecast-group:nth-child(1){
  animation: 1s ease-out 0s 1 slideInFromTop;
  animation-fill-mode: forwards;
}
.forecast-group:nth-child(2){
  animation: 1s ease-out 0s 1 slideInFromTop;
  animation-fill-mode: forwards;
  -webkit-animation-delay: .15s;
}
.forecast-group:nth-child(3){
  animation: 1s ease-out 0s 1 slideInFromTop;
  animation-fill-mode: forwards;
  -webkit-animation-delay: .3s;
}
.forecast-group:nth-child(4){
  animation: 1s ease-out 0s 1 slideInFromTop;
  animation-fill-mode: forwards;
  -webkit-animation-delay: .45s;
}
.forecast-group:nth-child(5){
  animation: 1s ease-out 0s 1 slideInFromTop;
  animation-fill-mode: forwards;
  -webkit-animation-delay: .6s;
}


